/*  Emacs style mode select   -*- C++ -*-  */
/* ----------------------------------------------------------------------------- */
/*  */
/*  $Id:$ */
/*  */
/*  Copyright (C) 1993-1996 by id Software, Inc. */
/*  */
/*  This source is available for distribution and/or modification */
/*  only under the terms of the DOOM Source Code License as */
/*  published by id Software. All rights reserved. */
/*  */
/*  The source is distributed in the hope that it will be useful, */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of */
/*  FITNESS FOR A PARTICULAR PURPOSE. See the DOOM Source Code License */
/*  for more details. */
/*  */
/*  $Log:$ */
/*  */
/*  DESCRIPTION: */
/* 	Main program, simply calls D_DoomMain high level loop. */
/*  */
/* ----------------------------------------------------------------------------- */

#ifdef ATARI
#include <osbind.h>
#endif

#include "h2def.h"

#define DOOM_VERSION	"       v 0.15          2 / X / 1999       "

int
main
( int		argc,
  char**	argv ) 
{
#ifdef ATARI
	char bienvenue1[]={27,'H',27,'E',27,'p',0};
	char bienvenue2[]=\
		"  Atari HEXEN port by Patrice Mandin"\
		DOOM_VERSION;
	char bienvenue3[]={27,'q',0}; 
#else
	char bienvenue[]=\
		"  Linux HEXEN port by Patrice Mandin"\
		DOOM_VERSION;
#endif
 
    myargc = argc; 
    myargv = argv; 

#ifdef ATARI
	Cconws(bienvenue1);
	Cconws(bienvenue2);
	Cconws(bienvenue3);
#else
	printf(bienvenue);
#endif
	printf("\nbased on Hexen DOS\n");

    H2_Main (); 

    return 0;
} 
