|	DMA sound routine

	.globl	_I_UpdateSound

|	.globl	_atari_dmabuffer
	.globl	_atari_sndlength
	.globl	_atari_sndcoef

	.globl	_atari_calcbuffer

	.globl	_channels		| Position courante dans sample
	.globl	_channelsend		| Fin du sample
	.globl	_channelleftvol_lookup	| pointeur sur table volume
	.globl	_channelrightvol_lookup
	.globl	_channelstep		| Position (16:16) dans les samples

	.text
_I_UpdateSound:
	moveml	d0-d7/a0-a6,sp@-

| ----- Clear calc buffer

|	movel	_atari_calcbuffer,a0
	lea	tempbuffer,a0
	movel	_atari_sndlength,d0
	subql	#1,d0
clearbuffer:
	clrl	a0@+
	clrl	a0@+
	dbra	d0,clearbuffer

| ----- Calc new sound in tempbuffer

	lea	_channels,a1
	lea	_channelstep,a2	
	lea	_channelleftvol_lookup,a3
	lea	_channelrightvol_lookup,a4	
	lea	_channelsend,a6
	moveq	#7,d0	| chan
calcchannel:
	tstl	a1@
	beq	calcnextchannel

	moveml	d0/a3-a4,sp@-
	
	clrl	d3
	movel	a1@,a5	| adr depart sample
	movel	a3@,a3	| table volume
	movel	a4@,a4	| table volume
	movemw	a2@,d3-d4	| position actuelle
	movemw	_atari_sndcoef,d6-d7	| coef
|	movel	_atari_calcbuffer,a0
	lea	tempbuffer,a0
	movel	_atari_sndlength,d1
	moveq	#0,d0
	subql	#1,d1
calctemp:
	moveb	a5@(d3:l),d0	| sample
	movel	a3@(d0:l:4),d5	| left
	movel	a4@(d0:l:4),d2	| right
	addw	d7,d4	
	addxw	d6,d3
	addl	d5,a0@+
	addl	d2,a0@+
	dbra	d1,calctemp

	moveml	sp@+,d0/a3-a4

	| test end of sample

	movel	a5,d1
	addl	d3,d1
	cmpl	a6@,d1
	bmi	noendofspl
	clrl	a1@		
	clrl	d3
	clrl	d4
noendofspl:

	movemw	d3-d4,a2@	| save cur pos

	| next channel
calcnextchannel:
	addql	#4,a1
	addql	#4,a2
	addql	#4,a3
	addql	#4,a4
	addql	#4,a6

	dbra	d0,calcchannel

| ----- Calc final buffer

	lea	tempbuffer,a0
	movel	_atari_calcbuffer,a1
	movel	_atari_sndlength,d0
	moveq	#9,d3
	subqw	#1,d0
bcl_final:
	movel	a0@+,d1
	movel	a0@+,d2
	asrl	d3,d1
	asrl	d3,d2
	moveb	d1,a1@+
	moveb	d2,a1@+
	dbra	d0,bcl_final

| ----- End

	moveml	sp@+,d0-d7/a0-a6
	rts

	.data
	.even
	.comm	tempbuffer,512*4*2
